---
id: 66cc26907ff6908402af0149
title: Step 17
challengeType: 1
dashedName: step-17
---

# --description--

To test your `calculateSquare` function, you will need to call the function a couple of times.

Add a `console.log` that calls the `calculateSquare` function with the argument of `2`.

Then, add another `console.log` that calls the `calculateSquare` function with the argument of `9`.

# --hints--

You should have a `console.log` that calls the `calculateSquare` function with the argument of `2`.

```js
assert.match(code, /console\.log\s*\(\s*calculateSquare\s*\(\s*2\s*\)\s*\)/);
```

You should have a `console.log` that calls the `calculateSquare` function with the argument of `9`.

```js
assert.match(code, /console\.log\s*\(\s*calculateSquare\s*\(\s*9\s*\)\s*\)/);
```

# --seed--

## --seed-contents--

```js
function calculateSum(num1, num2) {
  return num1 + num2;
}

console.log(calculateSum(2, 5));
console.log(calculateSum(10, 10));
console.log(calculateSum(5, 5));

function calculateDifference(num1, num2) {
  return num1 - num2;
}

console.log(calculateDifference(22, 5));
console.log(calculateDifference(12, 1));
console.log(calculateDifference(17, 9));

function calculateProduct(num1, num2) {
  return num1 * num2;
}

console.log(calculateProduct(13, 5));


function calculateQuotient(num1, num2) {
  return num2 === 0 ? "Error: Division by zero" : num1 / num2;
}

console.log(calculateQuotient(7, 11));
console.log(calculateQuotient(3, 0));

function calculateSquare(num) {
  return num ** 2;
}

--fcc-editable-region--

--fcc-editable-region--
```
